with Ada.Text_IO;                use Ada.Text_IO;

with GNATCOLL.Projects; use GNATCOLL.Projects;
with GNATCOLL.VFS;      use GNATCOLL.VFS;
with GNATCOLL.Traces;   use GNATCOLL.Traces;

with GNAT.OS_Lib; use GNAT.OS_Lib;

procedure Main is
   PT : Project_Tree;
   Env : Project_Environment_Access;
begin
   Initialize (Env);
   Load (PT, Create (+"agg.gpr"), Env);
   Unload (PT);
   Free (Env);
end Main;
